<?php

// Theme Support Features
add_theme_support( 'builder-3.0' );
add_theme_support( 'builder-responsive' );
// add_theme_support( 'builder-full-width-modules' );

// Enqueuing and Using Custom Javascript/Jquery 
function custom_load_custom_scripts() {
	wp_register_script( 'custom_jquery_additions', get_stylesheet_directory_uri() . '/js/custom_jquery_additions.js', array('jquery'), false, true );
	wp_enqueue_script('custom_jquery_additions');
}
add_action( 'wp_enqueue_scripts', 'custom_load_custom_scripts' );


// Tag Cloud Widget functionality
function it_custom_tag_cloud_widget($args) {
	$args['number'] = 0; // adding a 0 will display all tags
	$args['largest'] = 22; // largest tag
	$args['smallest'] = 12; // smallest tag
	$args['unit'] = 'px'; // tag font unit
	$args['format'] = 'flat';
	return $args;
}
add_filter( 'widget_tag_cloud_args', 'it_custom_tag_cloud_widget' );


// Add Support for Alternate Module Styles
if ( ! function_exists( 'it_builder_loaded' ) ) {
	function it_builder_loaded() {
		builder_register_module_style( 'image', 'No Spacing', 'image-no-spacing' );
		builder_register_module_style( 'html', 'Green', 'html-green' );
		builder_register_module_style( 'widget-bar', 'Dark', 'dark-widget-bar' );
		builder_register_module_style( 'navigation', 'Light Green', 'light-green-navigation' );
	}
}
add_action( 'it_libraries_loaded', 'it_builder_loaded' );

// Add Support for Alternate Widget Styles (Only works with Widget Content as of 2013-07-18)
if ( ! function_exists( 'custom_register_widget_styles' ) ) {
    function custom_register_widget_styles() {
        builder_register_widget_style( 'Boxed', 'box-widget' );
    }
    add_action( 'it_libraries_loaded', 'custom_register_widget_styles' );
}


// registering post thumbnail sizes
if ( function_exists( 'add_image_size' ) ) { 
		add_image_size( 'index-thumbnail', 0, 0, true );
}

add_filter( 'builder_footer_credit', 'custom_builder_footer_credit' );
	function custom_builder_footer_credit( $footer_credit ) {
		$footer_credit = '<br />Customized by <a href="http://www.webdesignland.at/" title="Webdesignland, Webdesign, SEO Optimierung, Homepage - Mikas ISP &Ouml;sterreich" target="_blank">WebdesignLand!</a>';
		return $footer_credit;
}